<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Properties Member List</h1>This is the complete list of members for <a class="el" href="classProperties.html">Properties</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a5c6063095fcea66fe5fdf7fe2efa94cb">containsNumber</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#ae615473de2e805f176302fac17d9f9e0">containsString</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a9d1a9cea8a47c13523e626df228b3cc5">containsTabular</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a94880e10a7d0b6c4bb6cab41b82b41dd">convert</a>(double value, std::string unitStr)</td><td><a class="el" href="classProperties.html">Properties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a2d7459c390e0916e719e9beda9b498a4">getFilename</a>() const </td><td><a class="el" href="classProperties.html">Properties</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#acc4b9e8ab51d39f82f44bf3571ce57bd">getNumber</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#af52df1748152d659dac32682f46ba407">getString</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a1738e085b562737ffacaf274a67cf9e4">getTabular</a>(std::string key) const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a7bd20763ec41d6968e1315f84e6da3c6">load</a>(std::string filename)</td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a4aba916b043c21c96c9ecd28ac840377">matchesCelsius</a>(std::string str)</td><td><a class="el" href="classProperties.html">Properties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a942e197921c6716d71c69e3af9d504e1">matchesPerCent</a>(std::string str)</td><td><a class="el" href="classProperties.html">Properties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a3b3d9f0920f58f6cbe46316d10a7c355">parseTabular</a>(std::ifstream &amp;in, std::string key)</td><td><a class="el" href="classProperties.html">Properties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#afcf5b5c1cee761121edc53f76318734f">print</a>() const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a6ede445f9f1982bf1c96c816e2c34f6d">tabular</a> typedef</td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classProperties.html#a23b3d9a521b315d28476d310f5b596aa">toString</a>() const </td><td><a class="el" href="classProperties.html">Properties</a></td><td></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
